Obter integridade de domínio
Retorne diagnósticos de integridade voltados para o cliente para um domínio.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain}/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cache_ttl_seconds": 123,
"cached": true,
"checked_at": "<string>",
"checks": {
"dns": {
"status": "healthy",
"a": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"dkim": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"dmarc": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"error": "<string>",
"mx": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"ns": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"spf": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
}
},
"ports": {
"status": "healthy",
"error": "<string>",
"imap_143": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"imaps_993": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"smtp_25": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"submission_587": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
}
},
"ssl": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"web": {
"status": "healthy",
"error": "<string>",
"http_root": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"http_www": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"https_root": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
},
"https_www": {
"status": "healthy",
"actual": [
"<string>"
],
"code": "<string>",
"days_remaining": 123,
"error": "<string>",
"expected": [
"<string>"
],
"expires_at": "<string>",
"issuer": "<string>",
"record": "<string>",
"records": [
"<string>"
],
"status_code": 123
}
}
},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"summary_status": "healthy",
"timings_ms": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parâmetros de consulta
Resposta
Resultados agrupados da investigação de integridade do domínio.
Hide child attributes
Hide child attributes
Sondas de integridade relacionadas ao DNS.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Sondas de acessibilidade da porta do serviço de correio.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Sondas de acessibilidade HTTP e HTTPS.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown Status e detalhes de uma investigação de integridade de domínio individual.
Hide child attributes
Hide child attributes
healthy, warning, critical, unknown healthy, warning, critical, unknown Esta página foi útil?
